> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Supprimer une organisation

DELETE https://workflow-manager/api/organizations/{organizationId}

Supprime une organisation existante.

`organizationManager`

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-portail/organizations/delete-organization

## Authentication

- `Authorization` header (bearer token, required) — Authentification Bearer par jeton utilisateur ou jeton d'accès : `Authorization: Bearer <token>`.

## Request

### Path parameters

- `organizationId` (string, required) — L'identifiant de l'organisation.

### Headers

- `If-Match` (string, required) — L'ETag de la ressource, pour le contrôle de concurrence optimiste.

## Response

### 200

L'entité Organization supprimée.

- `created` (long, required) — La date de création de l'entité.
- `id` (string, required) — L'identifiant de l'organisation.
- `name` (string, required) — Le nom de l'organisation.
- `organizationIdentifier` (string, required) — Identifiant de personne (préfixé par VAT ou NTR) tel que défini par la norme ETSI EN 319 412-1. Par exemple : NTRFR-480622257.
- `tenantId` (string, required) — L'identifiant du tenant auquel appartient l'organisation.
- `updated` (long, required) — La date de dernière modification de l'entité.
- `additionalInfo` (string, optional) — Informations complémentaires sur l'organisation.
- `jobOperation` (string, optional) — L'opération de tâche en cours d'exécution.

## Errors

### 403 Forbidden Error

AuthenticatedUserDisabled : L'utilisateur authentifié est désactivé. ; MissingBearerToken : Un jeton Bearer est requis. ; TenantInactive : Le tenant est inactif et n'autorise aucune opération. ; UserGroupDisabled : Le groupe de l'utilisateur spécifié est désactivé. ; UserNotAllowed : L'utilisateur authentifié n'est pas autorisé à effectuer cette opération.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 404 Not Found Error

OrganizationNotFound : L'organisation spécifiée est introuvable.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Response**

```json
{
  "created": 1782821471972,
  "id": "org_7vqpHBvkJv34gaoyZ3tsQ5eE",
  "name": "Adam GIE",
  "organizationIdentifier": "FR1756183971",
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "updated": 1782821472002,
  "additionalInfo": "3 Rue Marcadet, 19715 Rennes",
  "jobOperation": "purgeOrganization"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/api/organizations/organizationId"

headers = {
    "If-Match": "If-Match",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/api/organizations/organizationId';
const options = {
  method: 'DELETE',
  headers: {'If-Match': 'If-Match', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/api/organizations/organizationId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("If-Match", "If-Match")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/api/organizations/organizationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["If-Match"] = 'If-Match'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://workflow-manager/api/organizations/organizationId")
  .header("If-Match", "If-Match")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://workflow-manager/api/organizations/organizationId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'If-Match' => 'If-Match',
  ],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;

var client = new RestClient("https://workflow-manager/api/organizations/organizationId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("If-Match", "If-Match");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let headers = [
  "If-Match": "If-Match",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/api/organizations/organizationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```